#version 330 core

uniform vec2 near_far;
uniform vec4 light_pos;

in vec4 WS_pos_from_GS;

void main () {
	vec4 distance= WS_pos_from_GS - light_pos;
	//float ws_dist= distance(WS_pos_from_GS, light_pos);
	float ws_dist=length(distance);
	float ws_dist_norm= ws_dist/ near_far.y;

	gl_FragDepth=ws_dist_norm;
}